package com.tmerclub.cloud.api.product.feign;

/**
 * @author lanhai
 */
public interface GiveawayFeignClient {


    /**buildItemGiveawayInfo
     * 主商品下架时失效赠品活动
     * @param spuId
     */
    void changeGiveawayStatus(Long spuId);

    /**
     * 赠送商品上下架时删除购物车缓存
     * @param spuId
     */
    void changeGiveawaySpuStatus(Long spuId);

}
